Bug 401476

Summary: Can't open multiple files from dolphin
Product: [Applications] krita Reporter: Marc Gonz├ílez Majoral <gonssal>
Component: UsabilityAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: halla
Priority: NOR    
Version: 4.1.5   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:

Description Marc González Majoral 2018-11-27 16:15:08 UTC
SUMMARY
When Krita is closed, if you try to open multiple files with it from Dolphin onlye one of the files is actually opened.

STEPS TO REPRODUCE
1. Try to open multiple image files with Krita from Dolphin.

OBSERVED RESULT
Only one of the selected files is opened.


EXPECTED RESULT
All the files are opened in separate tabs.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Kubuntu 18.10
(available in About System)
KDE Plasma Version: 5.14.3
KDE Frameworks Version: 5.52.0
Qt Version: 5.11.1

ADDITIONAL INFORMATION
If you try to open multiple files with Krita when the program is already open, then it works as expected, opening each file a new tab.
Comment 1 Halla Rempt 2018-11-27 16:23:34 UTC
Git commit 660cc2bd51dc2b4f1ebb1c6de260f691bfe45340 by Boudewijn Rempt.
Committed on 27/11/2018 at 16:23.
Pushed by rempt into branch 'master'.

Allow Krita to import more than file at at a time

M  +1    -1    plugins/impex/brush/krita_brush.desktop
M  +1    -1    plugins/impex/csv/krita_csv.desktop
M  +1    -1    plugins/impex/exr/krita_exr.desktop
M  +1    -1    plugins/impex/gif/krita_gif.desktop
M  +1    -1    plugins/impex/heif/krita_heif.desktop
M  +1    -1    plugins/impex/heightmap/krita_heightmap.desktop
M  +1    -1    plugins/impex/jpeg/krita_jpeg.desktop
M  +1    -1    plugins/impex/kra/krita_kra.desktop
M  +1    -1    plugins/impex/ora/krita_ora.desktop
M  +1    -1    plugins/impex/pdf/krita_pdf.desktop
M  +1    -1    plugins/impex/png/krita_png.desktop
M  +1    -1    plugins/impex/ppm/krita_ppm.desktop
M  +1    -1    plugins/impex/psd/krita_psd.desktop
M  +1    -1    plugins/impex/qimageio/krita_qimageio.desktop
M  +1    -1    plugins/impex/raw/krita_raw.desktop
M  +1    -1    plugins/impex/spriter/krita_spriter.desktop
M  +1    -1    plugins/impex/svg/krita_svg.desktop
M  +1    -1    plugins/impex/tga/krita_tga.desktop
M  +1    -1    plugins/impex/tiff/krita_tiff.desktop
M  +1    -1    plugins/impex/xcf/krita_xcf.desktop

https://commits.kde.org/krita/660cc2bd51dc2b4f1ebb1c6de260f691bfe45340
Comment 2 Halla Rempt 2018-11-28 09:23:54 UTC
Git commit 00470b95215602585901f3c51bd95b5c244769b7 by Boudewijn Rempt.
Committed on 28/11/2018 at 09:23.
Pushed by rempt into branch 'krita/4.1'.

Allow Krita to import more than file at at a time

M  +1    -1    plugins/impex/brush/krita_brush.desktop
M  +1    -1    plugins/impex/csv/krita_csv.desktop
M  +1    -1    plugins/impex/exr/krita_exr.desktop
M  +1    -1    plugins/impex/gif/krita_gif.desktop
M  +1    -1    plugins/impex/heif/krita_heif.desktop
M  +1    -1    plugins/impex/heightmap/krita_heightmap.desktop
M  +1    -1    plugins/impex/jpeg/krita_jpeg.desktop
M  +1    -1    plugins/impex/kra/krita_kra.desktop
M  +1    -1    plugins/impex/ora/krita_ora.desktop
M  +1    -1    plugins/impex/pdf/krita_pdf.desktop
M  +1    -1    plugins/impex/png/krita_png.desktop
M  +1    -1    plugins/impex/ppm/krita_ppm.desktop
M  +1    -1    plugins/impex/psd/krita_psd.desktop
M  +1    -1    plugins/impex/qimageio/krita_qimageio.desktop
M  +1    -1    plugins/impex/raw/krita_raw.desktop
M  +1    -1    plugins/impex/spriter/krita_spriter.desktop
M  +1    -1    plugins/impex/svg/krita_svg.desktop
M  +1    -1    plugins/impex/tga/krita_tga.desktop
M  +1    -1    plugins/impex/tiff/krita_tiff.desktop
M  +1    -1    plugins/impex/xcf/krita_xcf.desktop

https://commits.kde.org/krita/00470b95215602585901f3c51bd95b5c244769b7